Add upper limit computation is csspec for NODES method
Status: Closed Start date: 10/18/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

So far upper limits are computed in csspec only for the SLICE method, but we should also compute upper limits for the NODES

method. This requires the implementation of a likelihood profile method within csspec.

History

#1 - 06/15/2018 03:22 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.6.0

#2 - 06/15/2018 05:27 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 50

I modified ctulimit so that the name of the parameter that should be varied to compute an upper limit can be specified using the parname parameter (if

the parname parameter is blank, which is the default, the standard behavior is obtained).

I then added an upper limit computation to csspec, using the respective intensity nodes for upper limit computation.

As reference, here the results obtained with SLICE:

2018-06-15T15:23:26:  Bin 1 .....................: 1.221688e-10 +/- 5.373786e-12 [< 1.759066e-10] erg/cm2/s (TS = 1069.409)

2018-06-15T15:23:26:  Bin 2 .....................: 1.067982e-10 +/- 4.919193e-12 [< 1.559900e-10] erg/cm2/s (TS = 1064.433)

2018-06-15T15:23:26:  Bin 3 .....................: 1.011262e-10 +/- 4.647995e-12 [< 1.476061e-10] erg/cm2/s (TS = 1131.287)

2018-06-15T15:23:26:  Bin 4 .....................: 8.776835e-11 +/- 4.286944e-12 [< 1.306378e-10] erg/cm2/s (TS = 1046.271)

2018-06-15T15:23:26:  Bin 5 .....................: 7.005584e-11 +/- 3.853282e-12 [< 1.085886e-10] erg/cm2/s (TS = 853.251)

2018-06-15T15:23:26:  Bin 6 .....................: 5.759921e-11 +/- 3.576058e-12 [< 9.335975e-11] erg/cm2/s (TS = 684.670)

2018-06-15T15:23:26:  Bin 7 .....................: 4.871038e-11 +/- 3.294468e-12 [< 8.165503e-11] erg/cm2/s (TS = 598.169)

2018-06-15T15:23:26:  Bin 8 .....................: 4.619379e-11 +/- 3.306368e-12 [< 7.925744e-11] erg/cm2/s (TS = 530.022)

2018-06-15T15:23:26:  Bin 9 .....................: 3.258974e-11 +/- 2.893858e-12 [< 6.152829e-11] erg/cm2/s (TS = 355.286)

2018-06-15T15:23:26:  Bin 10 ....................: 3.437429e-11 +/- 3.165327e-12 [< 6.602754e-11] erg/cm2/s (TS = 334.213)

2018-06-15T15:23:26:  Bin 11 ....................: 1.745382e-11 +/- 2.478647e-12 [< 4.224027e-11] erg/cm2/s (TS = 129.701)

2018-06-15T15:23:26:  Bin 12 ....................: 1.818815e-11 +/- 2.835562e-12 [< 4.654376e-11] erg/cm2/s (TS = 106.882)

2018-06-15T15:23:26:  Bin 13 ....................: 2.153167e-11 +/- 3.448843e-12 [< 5.602009e-11] erg/cm2/s (TS = 125.532)

2018-06-15T15:23:26:  Bin 14 ....................: 1.819759e-11 +/- 3.681961e-12 [< 5.501719e-11] erg/cm2/s (TS = 72.438)

2018-06-15T15:23:26:  Bin 15 ....................: 1.406384e-11 +/- 3.759826e-12 [< 5.166209e-11] erg/cm2/s (TS = 45.063)

2018-06-15T15:23:26:  Bin 16 ....................: 8.405661e-12 +/- 3.432607e-12 [< 3.710673e-11] erg/cm2/s (TS = 19.313)

2018-06-15T15:23:26:  Bin 17 ....................: 1.760389e-11 +/- 5.869693e-12 [< 7.527111e-11] erg/cm2/s (TS = 28.969)

2018-06-15T15:23:26:  Bin 18 ....................: 1.095723e-11 +/- 5.480227e-12 [< 5.062560e-11] erg/cm2/s (TS = 12.875)

2018-06-15T15:23:26:  Bin 19 ....................: No event in this bin. Likelihood is zero. Bin is skipped.

2018-06-15T15:23:26:  Bin 20 ....................: No event in this bin. Likelihood is zero. Bin is skipped.

And here the results obtained with NODES:

2018-06-20T12:22:30:  Bin 1 .....................: 1.184822e-10 +/- 5.292844e-12 [< 1.288262e-10] erg/cm2/s (TS = 915.397)

2018-06-20T12:22:30:  Bin 2 .....................: 9.877345e-11 +/- 8.090496e-12 [< 1.129407e-10] erg/cm2/s (TS = 963.351)

2018-06-20T12:22:30:  Bin 3 .....................: 1.037521e-10 +/- 8.612275e-12 [< 1.172088e-10] erg/cm2/s (TS = 1022.947)

2018-06-20T12:22:30:  Bin 4 .....................: 8.732752e-11 +/- 7.440398e-12 [< 9.928920e-11] erg/cm2/s (TS = 980.725)

2018-06-20T12:22:30:  Bin 5 .....................: 6.932707e-11 +/- 6.552495e-12 [< 8.014925e-11] erg/cm2/s (TS = 817.823)

2018-06-20T12:22:30:  Bin 6 .....................: 5.690113e-11 +/- 5.928023e-12 [< 6.702479e-11] erg/cm2/s (TS = 663.018)
2018-06-20T12:22:30:  Bin 7 .....................: 4.669816e-11 +/- 5.349441e-12 [< 5.583374e-11] erg/cm2/s (TS = 584.479)

2018-06-20T12:22:30:  Bin 8 .....................: 5.043362e-11 +/- 5.843732e-12 [< 6.062021e-11] erg/cm2/s (TS = 514.298)

2018-06-20T12:22:30:  Bin 9 .....................: 2.784513e-11 +/- 4.196655e-12 [< 3.525792e-11] erg/cm2/s (TS = 340.687)

2018-06-20T12:22:30:  Bin 10 ....................: 4.238384e-11 +/- 6.416659e-12 [< 5.330281e-11] erg/cm2/s (TS = 327.308)

2018-06-20T12:22:30:  Bin 11 ....................: 1.395996e-11 +/- 5.507698e-12 [< 2.022604e-11] erg/cm2/s (TS = 126.441)

2018-06-20T12:22:30:  Bin 12 ....................: 1.819095e-11 +/- 2.828206e-11 [< 2.687340e-11] erg/cm2/s (TS = 104.569)

2018-06-20T12:22:30:  Bin 13 ....................: 2.305891e-11 +/- 1.549247e-10 [< 3.419148e-11] erg/cm2/s (TS = 123.773)

2018-06-20T12:22:30:  Bin 14 ....................: 1.817868e-11 +/- 5.955930e-10 [< 2.977335e-11] erg/cm2/s (TS = 71.488)

2018-06-20T12:22:30:  Bin 15 ....................: 1.433521e-11 +/- 2.683171e-09 [< 2.718826e-11] erg/cm2/s (TS = 42.700)

2018-06-20T12:22:30:  Bin 16 ....................: 8.489549e-12 +/- 9.516030e-09 [< 2.135030e-11] erg/cm2/s (TS = 16.728)

2018-06-20T12:22:30:  Bin 17 ....................: 9.033159e-12 +/- 5.730817e-08 [< 3.844165e-11] erg/cm2/s (TS = 26.340)

2018-06-20T12:22:30:  Bin 18 ....................: 3.411845e-11 +/- 7.637511e-07 [< 9.115606e-11] erg/cm2/s (TS = 19.364)

2018-06-20T12:22:30:  Bin 19 ....................: 6.484044e-32 +/- 2.390080e-25 [< 2.605015e-12] erg/cm2/s (TS = 0.010)

2018-06-20T12:22:30:  Bin 20 ....................: 5.493459e-32 +/- 5.493459e-07 [< 1.359484e-20] erg/cm2/s

#3 - 06/20/2018 04:26 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

Code merged into devel.
